[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: more rpmlib(PayloadIsXz) woes



On Fri, Aug 28, 2009 at 04:25:28PM -0400, John Broomfield wrote:
> 
> I've disabled the rawhide now, and only getting from the
> updates-testing repos, but it still shows fc12 in the name, and
> (as usual...) still bombs with the same error.

I am not sure what how you disabled that, and what you already
installed, but you will not get "fc12" packages from any other place
but rawhide repositories.  It appears that this "disabling" was not
that complete.  Check what you really have in /etc/fedora-release
and in /etc/yum.repos.d/.

yum --disablerepo='*' --enablerepo=<some_repo> --enablerepo=<other_one> ...
makes possible to control what you are using real tight as long as
you have corresponding description files in /etc/yum.repos.d/.
Check first with 'repolist' yum command to see if you are really
using what you think that you are using.

As long as your rpm is still functional you can still installed
specific packages directly with rpm (using some flags like
--oldpackage if needed).  Only you have to remember to do a package
and its all dependencies in one transaction.  In particular with rpm
if you will mess that up you may get yourself into a real trouble.
Even with a broken rpm it is still possible to recover by unpack
required rpm packages, on another system if necessary, and moving
results of that operation into right places.  An rpm database can
be brought into a consistent state later.

   Michal


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]